<?php

namespace App\Helper;

class StringHelper
{
    public static function generateRandomHashedString(): string
    {
        return strtoupper(sha1(random_bytes(100)));
    }

    public static function isNullOrWhitespace(?string $str): bool
    {
        return null === $str || '' === trim($str);
    }
}
