<?php

namespace App\Tests\acceptance;

class IndexPageTest extends BasePageTest
{
    public function testUserShoudAccessToCapsuleGroupList(): void
    {
        $this->clickLink(
            'My groups',
            'The user should access to its group list from index page'
        );
    }

    protected function setUp(): void
    {
        parent::setUp();
        $this->setInitialPage();
    }

    private function setInitialPage(): void
    {
        $this->givenUser('defaultUser@localhost.com')
            ->logged()
            ->onPage('en');
    }
}
